## Script (Python) "students_indext"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=batch=None
##title=
##
# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
"""
return the current students_index_html
"""

request = context.REQUEST
redirect = request.RESPONSE.redirect
pm = context.portal_membership


if pm.isAnonymousUser():
    return redirect("%s/campus_anonymous_view" % context.campus.absolute_url())


campus = context.portal_catalog(meta_type = "University")[-1].getObject()
member = pm.getAuthenticatedMember()
roles = member.getRoles()
isManager = "Manager" in roles or "SectionManager" in roles
isStudent = "Student" in roles

if isManager:
    return redirect("%s/academics_contents" % campus.students.absolute_url())
if isStudent:
    info = context.getStudentInfo()
    student = info['student']
    doc = info['app_doc']
    state = context.getStudentInfo()['review_state']
    if state == 'admission_applied':
        return redirect("%s/application_view" % student.absolute_url())
    elif state == 'application_pin_entered':
        return redirect("%s/passport_entry_view" % student.absolute_url())
